Pro+

/watchlists

Body
  • watchListName
    Type: string
    min length:  
    1
    max length:  
    200
    required
  • watchListDescription
    Type: string
    max length:  
    1000
Responses
Request Example for post/watchlists
curl https://lens-api.tic.io/watchlists \
  --request POST \
  --header 'Content-Type: application/json-patch+json' \
  --header 'x-api-key: YOUR_SECRET_TOKEN' \
  --data '{
  "watchListName": "",
  "watchListDescription": ""
}'
{
  "teamWatchListId": 1,
  "watchListGuid": "123e4567-e89b-12d3-a456-426614174000",
  "watchListName": null,
  "watchListDescription": null,
  "numberOfCompanies": 1,
  "numberOfPersons": 1,
  "numberOfAddresses": 1,
  "numberOfProperties": 1,
  "numberOfVehicles": 1,
  "numberOfNotifications": 1,
  "numberOfSubscriptions": 1,
  "numberOfUnacknowledgedEvents": 1
}